- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OS_tm Class Reference

`#include <OS_tm.hpp>`

Collaboration diagram for OS_tm:

[legend]
List of all members.

## Public Member Functions
void | readInput (const char *filename)
| Read input and set up data in class OS_prob.
virtual void | initialize_core (BCP_vec< BCP_var_core * > &vars, BCP_vec< BCP_cut_core * > &cuts, BCP_lp_relax *&matrix)
| Pass the core constraints and core variables to bcp.
virtual void | create_root (BCP_vec< BCP_var * > &added_vars, BCP_vec< BCP_cut * > &added_cuts, BCP_user_data *&user_data)
| Create the root node of the enumeration.
virtual void | display_feasible_solution (const BCP_solution *sol)
| Print a feasible solution.
Constructors and destructors
| OS_tm ()
| Default constructor.
virtual | ~OS_tm ()
| Default destructor.
Packing and unpacking methods
virtual void | pack_module_data (BCP_buffer &buf, BCP_process_t ptype)
| Pack data into a buffer; will not work in parallel environment as it uses pointer.
## Private Attributes
Private data member
OS_prob | os_prob
| Pointer to the description of the problem.

## Detailed Description

Definition at line 29 of file OS_tm.hpp.

## Constructor & Destructor Documentation

OS_tm::OS_tm | ( |  | ) |

Default constructor.

Definition at line 212 of file OS_tm.cpp.

OS_tm::~OS_tm | ( |  | ) | `[virtual]`

Default destructor.

Definition at line 220 of file OS_tm.cpp.

References os_prob, and OS_prob::osilreader.

## Member Function Documentation

void OS_tm::readInput | ( | const char * | filename | ) |

Read input and set up data in class OS_prob.

Definition at line 63 of file OS_tm.cpp.

References ErrorClass::errormsg, FileUtil::getFileAsString(), os_prob, OS_prob::osilreader, OS_prob::osinstance, and OSiLReader::readOSiL().

Referenced by OS_init::tm_init().

void OS_tm::pack_module_data | ( | BCP_buffer & | buf,
|  | BCP_process_t | ptype |
| ) |  |  | `[virtual]`

Pack data into a buffer; will not work in parallel environment as it uses pointer.

Definition at line 105 of file OS_tm.cpp.

References os_prob.

void OS_tm::initialize_core | ( | BCP_vec< BCP_var_core * > & | vars,
|  | BCP_vec< BCP_cut_core * > & | cuts,
|  | BCP_lp_relax *& | matrix |
| ) |  |  | `[virtual]`

Pass the core constraints and core variables to bcp.

Definition at line 123 of file OS_tm.cpp.

References OSInstance::getConstraintLowerBounds(), OSInstance::getConstraintNumber(), OSInstance::getConstraintUpperBounds(), OSInstance::getDenseObjectiveCoefficients(), OSInstance::getLinearConstraintCoefficientMajor(), OSInstance::getLinearConstraintCoefficientNumber(), OSInstance::getLinearConstraintCoefficientsInColumnMajor(), OSInstance::getLinearConstraintCoefficientsInRowMajor(), OSInstance::getObjectiveMaxOrMins(), OSInstance::getVariableLowerBounds(), OSInstance::getVariableNumber(), OSInstance::getVariableTypes(), OSInstance::getVariableUpperBounds(), SparseMatrix::indexes, os_prob, OS_prob::osinstance, SparseMatrix::starts, and SparseMatrix::values.

void OS_tm::create_root | ( | BCP_vec< BCP_var * > & | added_vars,
|  | BCP_vec< BCP_cut * > & | added_cuts,
|  | BCP_user_data *& | user_data |
| ) |  |  | `[virtual]`

Create the root node of the enumeration.

Definition at line 191 of file OS_tm.cpp.

References os_prob.

void OS_tm::display_feasible_solution | ( | const BCP_solution * | sol | ) | `[virtual]`

Print a feasible solution.

Definition at line 201 of file OS_tm.cpp.

## Member Data Documentation

OS_prob OS_tm::os_prob`[private]`

Pointer to the description of the problem.

Definition at line 36 of file OS_tm.hpp.

Referenced by create_root(), initialize_core(), pack_module_data(), readInput(), and ~OS_tm().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/branchCutPrice/include/OS_tm.hpp
- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/branchCutPrice/TM/OS_tm.cpp